<?php
$veiculos = $args['veiculos'] ?? [];
?>

<div class="loop-box container">
<?php foreach ($veiculos as $veiculo): ?>    
    <?php
        set_query_var( 'veiculo', $veiculo['objeto'] );
        get_template_part('template-parts/geral/session', 'veiculo', $veiculo); 
    ?>    
<?php endforeach; ?>
</div>